net.sf.saxon.stax

## Class XMLStreamWriterDestination

- java.lang.Object
- - net.sf.saxon.stax.XMLStreamWriterDestination

- All Implemented Interfaces:
    Destination

      public class XMLStreamWriterDestination
      extends Object
      implements Destination

  StAxResultHandler is a helper class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLStreamWriterDestination(XMLStreamWriter writer)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close the destination, allowing resources to be released.
    `Receiver` | `getReceiver(Configuration config)` Return a Receiver.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLStreamWriterDestination

          public XMLStreamWriterDestination(XMLStreamWriter writer)

  - ### Method Detail

    - #### getReceiver

          public Receiver getReceiver(Configuration config)
                               throws SaxonApiException

      Description copied from interface: `Destination`
      Return a Receiver. Saxon calls this method to obtain a Receiver, to which it then sends a sequence of events representing the content of an XML document. The method is intended primarily for internal use, and may give poor diagnostics if used incorrectly.
      Specified by:
        `getReceiver` in interface `Destination`
      Parameters:
        `config` - The Saxon configuration. This is supplied so that the destination can use information from the configuration (for example, a reference to the name pool) to construct or configure the returned Receiver.
      Returns:
        the Receiver to which events are to be sent. It is the caller's responsibility to initialize this Receiver with a `PipelineConfiguration` before calling its `open()` method. The caller is also responsible for ensuring that the sequence of events sent to the Receiver represents a well-formed document: in particular the event stream must include namespace events corresponding exactly to the namespace declarations that are required. If the calling code cannot guarantee this, it should insert a `NamespaceReducer` into the pipeline in front of the returned Receiver.
      Throws:
        `SaxonApiException` - if the Receiver cannot be created

    - #### close

          public void close()
                     throws SaxonApiException

      Description copied from interface: `Destination`
      Close the destination, allowing resources to be released. Saxon calls this method when it has finished writing to the destination.

      The close() method should not cause any adverse effects if it is called more than once. If any other method is called after the close() call, the results are undefined. This means that a Destination is not, in general, serially reusable.

      Specified by:
        `close` in interface `Destination`
      Throws:
        `SaxonApiException` - if any failure occurs

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.